Subject: bug#50338: [Emacs 28.0.50 Trunk] Error running timer ‘jit-lock-stealth-fontify’: wrong-type-argument timerp

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 02 Sep 2021 18:26:39 +0200

Jacob Faibussowitsch <[email-masked]> writes:

> On a related note: I pull emacs trunk regularly but rebuild and reinstall
> maybe weekly so should I always be doing make bootstrap?

No, a bootstrap is normally not necessary, but the Emacs build system is
far from perfect.  The problem is that if we alter a macro in foo.el,
and bar.el requires foo, then foo.elc will be rebuilt, but bar.elc won't
be.  And this can lead to breakages (as it did in this instance).

But we don't change macros that much, so a bootstrap is seldom necessary.

I think there's an open bug report somewhere about fixing this, but I
don't think anybody has come up with a practical idea here (i.e.,
building a dependency graph in an efficient way).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no